@import url("./partials/colors.css");

body {
    color: var(--secondary-color);
    font-family: "Public Sans", sans-serif;
    font-weight: 200;
}

h1,
h2,
h3,
h4 {
    font-family: "none_shall_passregular";
}

b,
strong {
    font-weight: 700;
}

a {
    color: var(--secondary-color);

    &:hover {
        color: var(--secondary-color);
    }
}

.btn {
    border: 1px solid var(--secondary-color);
    border-radius: 0;

    &:hover {
        border-color: var(--secondary-color);
    }

    &.reverse {
        border: 1px solid white;
        color: white;
    }
}

img {
    &.circle {
        border-radius: 50%;
    }
}

.background-image {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    &.left-center {
        background-position: 20%;

        @media screen and (min-width: 768px) {
            background-position: center;
        }
    }
}

.hero {
    background-image: url("../../assets/images/png/intro-homepage-mbl.png");

    @media screen and (min-width: 768px) {
        background-image: url("../../assets/images/png/intro-homepage.png");
    }
}

.hvh-50 {
    height: 50vh;
}

.hvh-75 {
    height: 75vh;
}

.hvh-100 {
    height: 100vh;
}

.swiper-button-next,
.swiper-button-prev {
    color: var(--secondary-color);
}

/* Header */
header {
    /* .logo {
        display: block;
        margin: 1rem auto 0;
        max-width: 50%;
    } */

    .nav-item {
        padding: var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);

        .nav-link {
            border-bottom: 1px solid transparent;
            color: white !important;
            font-size: 0.75rem;
            margin: 0 var(--bs-navbar-nav-link-padding-x) -1px;
            padding: 0 !important;
            text-transform: uppercase;

            @media screen and (min-width: 768px) {
                font-size: 0.875rem;
            }

            &.dropdown-toggle {
                line-height: normal;
            }

            &:hover {
                &:not(.dropdown-toggle) {
                    @media screen and (min-width: 768px) {
                        border-color: white;
                    }
                }
            }
        }

        .dropdown-menu {
            &.show {
                background-color: transparent;
                border: none;

                @media screen and (min-width: 768px) {
                    background-color: var(--bs-dropdown-bg);
                    min-width: 0;
                }
            }
        }

        .icon-lang {
            height: 12px;
        }
    }

    .navbar-toggler {
        border: none;
        color: white;
        padding: 0;
    }
}

.text-overlay {
    /* padding: 0 4rem;

    @media screen and (min-width: 768px) {
        margin-left: calc(100% / 6);
        padding: 0;
        width: calc(100% / 3);
    } */
}

/* Main */
main {
    .team-member {
        img {
            max-width: 50%;
        }

        ul {
            display: inline-flex;
            margin: 0;
            padding: 0;

            li {
                list-style-type: none;

                &:not(:first-child) {
                    margin-left: 1rem;
                }
            }
        }
    }

    .service,
    .course {
        position: relative;

        a {
            color: white;

            .title {
                left: 50%;
                position: absolute;
                text-align: center;
                top: 50%;
                transform: translate(-50%, -50%);
                width: 90%;
            }
        }
    }
}

/* Footer */
footer {
    background-color: var(--secondary-color);
    color: white;
    font-size: 0.75rem;

    a {
        color: white !important;

        &:hover {
            color: white;
        }
    }

    ul {
        margin: 0;
        padding: 0;

        li {
            list-style-type: none;

            &.social {
                font-size: 1.5rem;

                a:last-child {
                    margin-left: 1rem;
                }
            }
        }
    }
}